#ifndef ETEXT_H
#define ETEXT_H

#include "includes.h"

class EText
{
    private:
        static bool initialized;
        static sf::Texture fontTexture;
        static const int CHAR_ANIMATE_FRAMES;
    public:
        EText(string s, float x, float y);
        virtual ~EText();

        static void init();

        void draw(sf::RenderWindow& window);
        void setColor(sf::Color color);
        void setString(string s);
    public:
        float x; float y;
        unsigned frame;
        string text;
        sf::Sprite sprite;

        float scale;
        bool shake;
        bool animateIn;
        bool doneAnimating;
        bool wave;
        float waveAmount;

        int animateSpeed;
        int animateTimer;
        int animateChar;
};

#endif // ETEXT_H
