#ifndef PATH_H
#define PATH_H

#include "includes.h"

class Path
{
    public:
        Path(sf::Vector2f origin, sf::Vector2f target);
        ~Path();
        sf::Vector2f getPosition(float percent);

        void step();
        bool opposite;
    private:
        sf::Vector2f origin;
        sf::Vector2f target;
        float angle;
        float mag;
        float cosTheta;
        float sinTheta;
        float offset;
};

#endif // PATH_H
